Node10.0でgulpがエラー出た時の解決法

2018-04-30

こんなエラーが出て困ったのでメモ。

gulp[8378]: ../src/node_contextify.cc:631:static void node::contextify::ContextifyScript::New(const FunctionCallbackInfo &): Assertion `args[1]->IsString()' failed.

手順

node_modules フォルダと package-lock.json を削除。


cd path/to/your-project/
rm -rf node_modules packaege-lock.json

で、npmをインストールしなおし。

sudo npm install

これで問題なく動くようになりました。

参考文献